<html devsite><head>
    <title>Nexus 安全公告 - 2015 年 11 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2015 年 11 月 2 日</em></p>

<p>在每月发布 Android 安全公告的同时，我们都通过无线下载 (OTA) 更新的方式发布了针对 Nexus 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Nexus 固件映像。安全补丁程序级别为 2015 年 11 月 1 日或更新的 Android L（LMY48X 或更高细分版本）和 Android Marshmallow 都已解决本公告中所述的问题。如需了解详情，请参阅<a href="#common_questions_and_answers">常见问题和解答</a>部分。</p>

<p>合作伙伴在 2015 年 10 月 5 日或之前就已收到关于这些问题的通知。我们会在接下来的 48 小时内将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中。届时，我们将会修订本公告，将相关 AOSP 链接增补到本文中。</p>

<p>这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。当系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<p>尚未有人向我们举报过有用户主动利用这些新报告的问题。请参阅<a href="#mitigations">缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 SafetyNet）。我们建议所有用户都在自己的设备上接受这些更新。</p>

<h2 id="mitigations">缓解措施</h2>

<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>

<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。
  </li><li>Android 安全团队会积极利用“验证应用”功能和 SafetyNet 监控滥用行为，这些功能会在用户要安装可能有害的应用时发出警告。Google Play 中禁止提供能够获取设备 root 权限的工具。为了保护从 Google Play 以外的来源安装应用的用户，“验证应用”功能会默认处于启用状态，并会在用户要安装能够获取 root 权限的已知应用时警告用户。“验证应用”功能会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户并尝试移除所有此类应用。
  </li><li>由于已做了适当更新，因此 Google 环聊和 Messenger 应用不会自动将媒体内容传递给 Mediaserver 之类的进程。
</li></ul>

<h2 id="acknowledgements">致谢</h2>

<p>我们衷心感谢以下研究人员做出的贡献：</p>

<ul>
  <li> Google Chrome 安全团队的 Abhishek Arya、Oliver Chang 和 Martin Barbella：CVE-2015-6608
  </li><li> Copperhead Security 的 Daniel Micay (daniel.micay@copperhead.co)：CVE-2015-6609
  </li><li> 韩国科学技术院系统安全实验室 (System Security Lab, KAIST) 的 Dongkwan Kim (dkay@kaist.ac.kr)：CVE-2015-6614
  </li><li> 韩国科学技术院系统安全实验室 (System Security Lab, KAIST) 的 Hongil Kim (hongilk@kaist.ac.kr)：CVE-2015-6614
  </li><li> 趋势科技 (Trend Micro) 的 Jack Tang (@jacktang310)：CVE-2015-6611
  </li><li> 趋势科技 (Trend Micro) 的 Peter Pi：CVE-2015-6611
  </li><li> Google Project Zero 的 Natalie Silvanovich：CVE-2015-6608
  </li><li> 碁震安全研究团队（@K33nTeam，http://k33nteam.org/）的何淇丹 (@flanker_hqd) 和 Wen Xu (@antlr7)：CVE-2015-6612
  </li><li> <a href="http://www.360.cn">奇虎 360 科技有限公司</a>的龚广（<a href="https://twitter.com/oldfresher">@oldfresher</a>、higongguang@gmail.com）：CVE-2015-6612
  </li><li> 趋势科技的 Seven Shen：CVE-2015-6610
</li></ul>

<h2 id="security_vulnerability_details">安全漏洞详情</h2>

<p>我们在下面提供了 2015-11-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关 Bug、严重程度、受影响的版本及报告日期。如果有解决相应问题的 AOSP 代码更改记录，我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="remote_code_execution_vulnerabilities_in_mediaserver">Mediaserver 中的远程代码执行漏洞</h3>

<p>Mediaserver 中有一些漏洞，当系统对攻击者蓄意创建的媒体文件进行文件和数据处理时，攻击者可以利用这些漏洞破坏内存，并通过 Mediaserver 进程远程执行代码。</p>

<p>受影响的功能是操作系统的核心部分，有多个应用允许通过远程内容（最主要是彩信和浏览器媒体播放）使用该功能。</p>

<p>由于攻击者可以利用该漏洞通过 Mediaserver 服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。Mediaserver 服务可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="6">CVE-2015-6608</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/8ec845c8fe0f03bc57c901bc484541bdd6a7cf80">ANDROID-19779574</a></td>
    <td rowspan="3">严重</td>
    <td rowspan="3">5.0、5.1、6.0</td>
    <td rowspan="3">Google 内部</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c6a2815eadfce62702d58b3fa3887f24c49e1864">ANDROID-23680780</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Faac/+/b3c5a4bb8442ab3158fa1f52b790fadc64546f46">ANDROID-23876444</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/3830d0b585ada64ee75dea6da267505b19c622fd">ANDROID-23881715</a></td>
    <td>严重</td>
    <td>4.4、5.0、5.1、6.0</td>
    <td>Google 内部</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3878b990f7d53eae7c2cf9246b6ef2db5a049872">ANDROID-14388161</a></td>
    <td>严重</td>
    <td>4.4 和 5.1</td>
    <td>Google 内部</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f3eb82683a80341f5ac23057aab733a57963cab2">ANDROID-23658148</a></td>
    <td>严重</td>
    <td>5.0、5.1、6.0</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerability_in_libutils">libutils 中的远程代码执行漏洞</h3>

<p>通用库 libutils 中有一个可在系统处理音频文件期间被利用的漏洞。当系统对攻击者蓄意创建的文件进行处理时，攻击者可以利用该漏洞破坏内存并远程执行代码。</p>

<p>受影响的功能是某个 API，有多个应用允许通过远程内容（最主要是彩信和浏览器媒体播放）使用该功能。由于攻击者可以利用该漏洞通过特权服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。受影响的组件可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>

<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6609</td>
    <td><a href="https://android.googlesource.com/platform%2Fbootable%2Frecovery/+/ec63d564a86ad5b30f75aa307b4bd271f6a96a56">ANDROID-22953624</a> [<a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/419e6c3c68413bd6dbb6872340b2ae0d69a0fd60">2</a>]</td>
    <td>严重</td>
    <td>6.0 及更低版本</td>
    <td>2015 年 8 月 3 日</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerabilities_in_mediaserver">Mediaserver 中的信息披露漏洞</h3>

<p>Mediaserver 中有一些信息披露漏洞，攻击者可以利用这些漏洞绕过系统中为增加攻击者入侵平台的难度而部署的安全措施。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="12">CVE-2015-6611</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/1c7719820359f4190cd4bfd1a24d521face7b4f8">ANDROID-23905951</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3b76870d146b1350db8a2f7797e06897c8c92dc2">2</a>] [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/40715a2ee896edd2df4023d9f6f586977887d34c">3</a>]</td>
    <td rowspan="3">高</td>
    <td rowspan="3">6.0 及更低版本</td>
    <td rowspan="3">2015 年 9 月 7 日</td>
 </tr>
 <tr>
    <td>ANDROID-23912202*</td>
 </tr>
 <tr>
    <td>ANDROID-23953967*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fnative/+/b414255f53b560a06e642251535b019327ba0d7b">ANDROID-23696300</a></td>
    <td>高</td>
    <td>6.0 及更低版本</td>
    <td>2015 年 8 月 31 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/09ed70fab1f1424971ccc105dcdf5be5ce2e2643">ANDROID-23600291</a></td>
    <td>高</td>
    <td>6.0 及更低版本</td>
    <td>2015 年 8 月 26 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/892354335d49f0b9fcd10e20e0c13e3cd0f1f1cb">ANDROID-23756261</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/a946d844a77906072f5eb7093d41db465d6514bb">2</a>]</td>
    <td>高</td>
    <td>6.0 及更低版本</td>
    <td>2015 年 8 月 26 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/57bed83a539535bb64a33722fb67231119cb0618">ANDROID-23540907</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/25a634427dec455b79d73562131985ae85b98c43">2</a>]</td>
    <td>高</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 25 日</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d53aced041b7214a92b1f2fd5970d895bb9934e5">ANDROID-23541506</a></td>
    <td rowspan="4">高</td>
    <td rowspan="4">6.0 及更低版本</td>
    <td rowspan="4">2015 年 8 月 25 日</td>
 </tr>
 <tr>
    <td>ANDROID-23284974*</td>
 </tr>
 <tr>
    <td>ANDROID-23542351*</td>
 </tr>
 <tr>
    <td>ANDROID-23542352*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/0981df6e3db106bfb7a56a2b668c012fcc34dd2c">ANDROID-23515142</a></td>
    <td>高</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 19 日</td>
 </tr>
</tbody></table>
<p>*针对该 Bug 的补丁程序包含在所提供的其他 AOSP 链接中。</p>

<h3 id="elevation_of_privilege_vulnerability_in_libstagefright">libstagefright 中的提权漏洞</h3>

<p>libstagefright 中有一个提权漏洞，本地恶意应用可以利用该漏洞破坏内存，并通过 Mediaserver 服务执行任意代码。通常情况下，我们会将该漏洞的严重程度评为“严重”，但由于该漏洞被远程利用的可能性较低，因此我们将其严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6610</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d26052738f7b095b7e318c8dde7f32db0a48450c">ANDROID-23707088</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/820c105f7a4dc0971ee563caea4c9b346854a2f7">2</a>]</td>
    <td>高</td>
    <td>6.0 及更低版本</td>
    <td>2015 年 8 月 19 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_libmedia">libmedia 中的提权漏洞</h3>

<p>libmedia 中有一个漏洞，本地恶意应用可以利用该漏洞通过 Mediaserver 服务执行任意代码。由于攻击者可以利用该漏洞使第三方应用获取无法直接获取的权限，因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6612</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4b219e9e5ab237eec9931497cf10db4d78982d84">ANDROID-23540426</a></td>
    <td>高</td>
    <td>6.0 及更低版本</td>
    <td>2015 年 8 月 23 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">蓝牙中的提权漏洞</h3>

<p>蓝牙中有一个漏洞，本地应用可以利用该漏洞向设备上的监听调试端口发送命令。由于攻击者可以利用该漏洞使第三方应用获取超出规定的权能（如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6613</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fbt/+/74dad51510f7d7b05c6617ef88168bf0bbdf3fcd">ANDROID-24371736</a></td>
    <td>高</td>
    <td>6.0</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_telephony">
Telephony 中的提权漏洞</h3>

<p>Telephony 组件中有一个漏洞，本地恶意应用可以利用该漏洞将未经授权的数据传递到受限制的网络接口，从而可能会影响流量费。此外，恶意应用还可以利用该漏洞阻碍设备接听电话，并让攻击者控制通话的静音设置。由于攻击者可以利用该漏洞以不当方式获取“<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">dangerous</a>”权限，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6614</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fopt%2Ftelephony/+/70dd1f77873913635288e513564a6c93ae4d0a26">ANDROID-21900139</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/a12044215b1148826ea9a88d5d1102378b13922f">2</a>] [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/2b6af396ad14def9a967f62cccc87ee715823bb1">3</a>]</td>
    <td>中</td>
    <td>5.0、5.1</td>
    <td>2015 年 6 月 8 日</td>
 </tr>
</tbody></table>

<h3 id="common_questions_and_answers">常见问题和解答</h3>

<p>这一部分解答了用户在阅读本公告后可能会提出的常见问题。</p>

<p><strong>1. 如何确定我的设备是否已通过更新解决这些问题？</strong></p>

<p>安全补丁程序级别为 2015 年 11 月 1 日或更新的 Android L（LMY48X 或更高细分版本）和 Android Marshmallow 都已解决本公告中所述的问题。请参阅 <a href="https://support.google.com/nexus/answer/4457705">Nexus 文档</a>，了解如何查看安全补丁程序级别。预装这些更新的设备制造商应将补丁程序字符串级别设为 [ro.build.version.security_patch]:[2015-11-01]</p>

<h2 id="revisions">修订</h2>

<ul>
  <li>2015 年 11 月 2 日：初次发布</li></ul>

</body></html>